GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

          • Create Resource
          • Batch Create Resources
          • Get Resource Details
          • Batch Get Resource Details
          • Get Resource List by Page
          • Update Resource
          • Delete Resource
          • Batch Delete Resources
          • Associate/Disassociate Application Resources to Tenant
          • Create Permission Namespace
          • Batch Create Permission Namespaces
          • Get Permission Namespace Details
          • Batch Get Permission Namespace Details
          • Update Permission Namespace
          • Delete Permission Namespace
          • Batch Delete Permission Namespaces
          • Authorize Resources
          • Get Authorized Resource List for Principal
          • Check if User Has Permission for Resource Action
          • Get Authorized Principals for Resource
        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Resource and Permission Management

  10. /
  11. Get Authorized Principals for Resource

¶ Get the authorized subject of the resource

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the authorized subject of the resource

¶ Method name

ManagementClient.get_resource_authorized_targets

¶ Request parameters

NameType
Is it required
Default value
Description
Sample value
resourcestringyes-Resourceecs:1
namespacestringnodefaultPermission group
targetTypestringno-Target object type:
- USER: User
- ROLE: Role
- GROUP: Group
- DEPARTMENT: Department
USER
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010

¶ Request Response

Type: GetResourceAuthorizedTargetRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataGetResourceAuthorizedTargetDataDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "totalCount": 10,
    "list": {
      "targetType": "USER",
      "targetIdentifier": "code",
      "actions": "[\"ecs:Start\",\"ecs:Stop\"]"
    }
  }
}

¶ Data Structure

¶ GetResourceAuthorizedTargetDataDto

NameType
Required
Description
Sample value
totalCountnumberyestotal10
listarrayyeslist of elements Nested type: ResourceAuthorizedTargetDto.

¶ ResourceAuthorizedTargetDto

NameType
Required
Description
Sample value
targetTypestringYesSubject typeUSER
targetIdentifierstringYesSubject unique identifiercode
actionsarrayYesAction list["ecs:Start","ecs:Stop"]
Previous article: Check if User Has Permission for Resource Action Next article: 获取应用详情
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.